# Uses of Enum Class
org.eclipse.net4j.util.om.log.OMLogger.Level

Packages that use OMLogger.Level
Package
Description
org.eclipse.net4j.util.event
A framework for sending of and listening to events.
org.eclipse.net4j.util.lifecycle
A framework for components with a simple lifecycle.
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.

## Uses of OMLogger.Level in org.eclipse.net4j.util.event

Methods in org.eclipse.net4j.util.event that return OMLogger.Level
Modifier and Type
Method
Description
`OMLogger.Level`
LogListener.`getLevel()`
Constructors in org.eclipse.net4j.util.event with parameters of type OMLogger.Level
Modifier
Constructor
Description
``
`LogListener(OMLogger.Level level)`

## Uses of OMLogger.Level in org.eclipse.net4j.util.lifecycle

Methods in org.eclipse.net4j.util.lifecycle with parameters of type OMLogger.Level
Modifier and Type
Method
Description
`static void`
LifecycleUtil.`deactivate(Object object, OMLogger.Level logLevel)`

## Uses of OMLogger.Level in org.eclipse.net4j.util.om.log

Methods in org.eclipse.net4j.util.om.log that return OMLogger.Level
Modifier and Type
Method
Description
`OMLogger.Level`
AbstractLogHandler.`getLogLevel()`
`static OMLogger.Level`
OMLogger.Level.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OMLogger.Level[]`
OMLogger.Level.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.om.log with parameters of type OMLogger.Level
Modifier and Type
Method
Description
`boolean`
OMLogFilter.`filter(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
Prevents the log event represented by the arguments from being passed to `registered` `log handlers`, if and only if `true` is returned.
`void`
Logger.`log(OMLogger.Level level, String msg)`
`void`
Logger.`log(OMLogger.Level level, String msg, Throwable t)`
`void`
Logger.`log(OMLogger.Level level, Throwable t)`
`void`
OMLogger.`log(OMLogger.Level level, String msg)`
`void`
OMLogger.`log(OMLogger.Level level, String msg, Throwable t)`
`void`
OMLogger.`log(OMLogger.Level level, Throwable t)`
`void`
AbstractLogHandler.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
EclipseLoggingBridge.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
OMLogHandler.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
OSGiLoggingBridge.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
Deprecated.
`void`
OSGiLoggingBridge.`logged(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, String msg, Throwable t)`
Deprecated.
`void`
OSGiLogHandler.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
OSGiLogHandler.`logged(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, String msg, Throwable t)`
`void`
AbstractLogHandler.`setLogLevel(OMLogger.Level logLevel)`
`static int`
EclipseLoggingBridge.`toEclipse(OMLogger.Level level)`
`static int`
OSGiLoggingBridge.`toOSGi(OMLogger.Level level)`
Deprecated.
`static org.osgi.service.log.LogLevel`
OSGiLogHandler.`toOSGi(OMLogger.Level level)`
`static String`
AbstractLogHandler.`toString(OMLogger.Level level)`
`protected abstract void`
AbstractLogHandler.`writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`protected void`
FileLogHandler.`writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`protected void`
PrintLogHandler.`writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
Constructors in org.eclipse.net4j.util.om.log with parameters of type OMLogger.Level
Modifier
Constructor
Description
``
`AbstractLogHandler(OMLogger.Level logLevel)`
``
`FileLogHandler(File logFile, OMLogger.Level logLevel)`